Get a document view URL
GET
/api/Documents/{id}/view-url
const url = 'https://app.docstosheets.com/api/Documents/example/view-url';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.docstosheets.com/api/Documents/example/view-url \ --header 'Authorization: Bearer <token>'Returns a short-lived SAS URL for viewing the original file.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The document ID.
Query Parameters
Section titled “Query Parameters ” mailboxId
string
The mailbox ID (partition key).
Responses
Section titled “ Responses ”A SAS URL to view the document.
Media type application/json
Response for document view URL request.
object
url
required
The SAS URL to view the document.
string
fileName
required
The original file name.
string
contentType
required
The content type of the document.
string
expiresAt
required
When the URL expires.
string format: date-time
Example generated
{ "url": "example", "fileName": "example", "contentType": "example", "expiresAt": "2026-04-15T12:00:00Z"} Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"} Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}